<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref23.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name_as_xref - Synopsis.Processors.Comments.Filter.SSFilter.filter_comment</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name_as_xref - Synopsis.Processors.Comments.Filter.SSFilter.filter_comment</h1><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name_as_xref" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name_as_xref</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_name_as_xref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#152">Synopsis/Parsers/Python/SXRGenerator.py:152</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_newline" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_newline</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_newline" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#176">Synopsis/Parsers/Python/SXRGenerator.py:176</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_op" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_op</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_op" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#298">Synopsis/Parsers/Python/SXRGenerator.py:298</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_parameters" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#227">Synopsis/Parsers/Python/SXRGenerator.py:227</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_power" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_power</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_power" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#301">Synopsis/Parsers/Python/SXRGenerator.py:301</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_string" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_string</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_string" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#191">Synopsis/Parsers/Python/SXRGenerator.py:191</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_token" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_token</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_token" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#143">Synopsis/Parsers/Python/SXRGenerator.py:143</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_tokens" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_tokens</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_tokens" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#168">Synopsis/Parsers/Python/SXRGenerator.py:168</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.next_token" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.next_token</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#next_token" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#128">Synopsis/Parsers/Python/SXRGenerator.py:128</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_newline" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_newline</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#print_newline" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#388">Synopsis/Parsers/Python/SXRGenerator.py:388</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_token" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_token</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#print_token" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#360">Synopsis/Parsers/Python/SXRGenerator.py:360</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.process_file" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.process_file</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#process_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#87">Synopsis/Parsers/Python/SXRGenerator.py:87</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.escape" /><h2 >Function Synopsis.Parsers.Python.SXRGenerator.escape</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html#escape" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#44">Synopsis/Parsers/Python/SXRGenerator.py:44</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.num_tokens" /><h2 >Function Synopsis.Parsers.Python.SXRGenerator.num_tokens</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html#num_tokens" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#18">Synopsis/Parsers/Python/SXRGenerator.py:18</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Composite" /><h2 >Class Synopsis.Processor.Composite</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Composite.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#143">Synopsis/Processor.py:143</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#146">Synopsis/Processor.py:146</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Composite.html#processors" >processors</a></li><li ><a href="../Source/Synopsis/Processor.py.html#148">Synopsis/Processor.py:148</a>: Method <a href="../Scopes/Synopsis/Processor/Composite.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processor.py.html#155">Synopsis/Processor.py:155</a>: Method <a href="../Scopes/Synopsis/Processor/Composite.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Composite.__init__" /><h2 >Method Synopsis.Processor.Composite.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Composite.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#148">Synopsis/Processor.py:148</a>: in class <a href="../Scopes/Synopsis/Processor/Composite.html" >Synopsis.Processor.Composite</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Composite.process" /><h2 >Method Synopsis.Processor.Composite.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Composite.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#155">Synopsis/Processor.py:155</a>: in class <a href="../Scopes/Synopsis/Processor/Composite.html" >Synopsis.Processor.Composite</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Error" /><h2 >Class Synopsis.Processor.Error</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Error.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#10">Synopsis/Processor.py:10</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#15">Synopsis/Processor.py:15</a>: Attribute <a href="../Scopes/Synopsis/Processor/Error.html#what" >what</a></li><li ><a href="../Source/Synopsis/Processor.py.html#13">Synopsis/Processor.py:13</a>: Method <a href="../Scopes/Synopsis/Processor/Error.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processor.py.html#17">Synopsis/Processor.py:17</a>: Method <a href="../Scopes/Synopsis/Processor/Error.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Error.__init__" /><h2 >Method Synopsis.Processor.Error.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Error.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#13">Synopsis/Processor.py:13</a>: in class <a href="../Scopes/Synopsis/Processor/Error.html" >Synopsis.Processor.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Error.__str__" /><h2 >Method Synopsis.Processor.Error.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Error.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#17">Synopsis/Processor.py:17</a>: in class <a href="../Scopes/Synopsis/Processor/Error.html" >Synopsis.Processor.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.InternalError" /><h2 >Class Synopsis.Processor.InternalError</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/InternalError.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#23">Synopsis/Processor.py:23</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.InvalidArgument" /><h2 >Class Synopsis.Processor.InvalidArgument</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/InvalidArgument.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#20">Synopsis/Processor.py:20</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.InvalidCommand" /><h2 >Class Synopsis.Processor.InvalidCommand</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/InvalidCommand.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#22">Synopsis/Processor.py:22</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.MissingArgument" /><h2 >Class Synopsis.Processor.MissingArgument</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/MissingArgument.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#21">Synopsis/Processor.py:21</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parameter" /><h2 >Class Synopsis.Processor.Parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parameter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#25">Synopsis/Processor.py:25</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#28">Synopsis/Processor.py:28</a>: Attribute <a href="../Scopes/Synopsis/Processor/Parameter.html#value" >value</a></li><li ><a href="../Source/Synopsis/Processor.py.html#29">Synopsis/Processor.py:29</a>: Attribute <a href="../Scopes/Synopsis/Processor/Parameter.html#doc" >doc</a></li><li ><a href="../Source/Synopsis/Processor.py.html#27">Synopsis/Processor.py:27</a>: Method <a href="../Scopes/Synopsis/Processor/Parameter.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parameter.__init__" /><h2 >Method Synopsis.Processor.Parameter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parameter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#27">Synopsis/Processor.py:27</a>: in class <a href="../Scopes/Synopsis/Processor/Parameter.html" >Synopsis.Processor.Parameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized" /><h2 >Class Synopsis.Processor.Parametrized</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#45">Synopsis/Processor.py:45</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#48">Synopsis/Processor.py:48</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Parametrized.html#__metaclass__" >__metaclass__</a></li><li ><a href="../Source/Synopsis/Processor.py.html#50">Synopsis/Processor.py:50</a>: Method <a href="../Scopes/Synopsis/Processor/Parametrized.html#__new__" >__new__</a></li><li ><a href="../Source/Synopsis/Processor.py.html#72">Synopsis/Processor.py:72</a>: Method <a href="../Scopes/Synopsis/Processor/Parametrized.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processor.py.html#77">Synopsis/Processor.py:77</a>: Method <a href="../Scopes/Synopsis/Processor/Parametrized.html#clone" >clone</a></li><li ><a href="../Source/Synopsis/Processor.py.html#86">Synopsis/Processor.py:86</a>: Method <a href="../Scopes/Synopsis/Processor/Parametrized.html#get_parameters" >get_parameters</a></li><li ><a href="../Source/Synopsis/Processor.py.html#90">Synopsis/Processor.py:90</a>: Method <a href="../Scopes/Synopsis/Processor/Parametrized.html#set_parameters" >set_parameters</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized.__init__" /><h2 >Method Synopsis.Processor.Parametrized.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#72">Synopsis/Processor.py:72</a>: in class <a href="../Scopes/Synopsis/Processor/Parametrized.html" >Synopsis.Processor.Parametrized</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized.__new__" /><h2 >Method Synopsis.Processor.Parametrized.__new__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html#__new__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#50">Synopsis/Processor.py:50</a>: in class <a href="../Scopes/Synopsis/Processor/Parametrized.html" >Synopsis.Processor.Parametrized</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized.clone" /><h2 >Method Synopsis.Processor.Parametrized.clone</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html#clone" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#77">Synopsis/Processor.py:77</a>: in class <a href="../Scopes/Synopsis/Processor/Parametrized.html" >Synopsis.Processor.Parametrized</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized.get_parameters" /><h2 >Method Synopsis.Processor.Parametrized.get_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html#get_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#86">Synopsis/Processor.py:86</a>: in class <a href="../Scopes/Synopsis/Processor/Parametrized.html" >Synopsis.Processor.Parametrized</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Parametrized.set_parameters" /><h2 >Method Synopsis.Processor.Parametrized.set_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Parametrized.html#set_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#90">Synopsis/Processor.py:90</a>: in class <a href="../Scopes/Synopsis/Processor/Parametrized.html" >Synopsis.Processor.Parametrized</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Processor" /><h2 >Class Synopsis.Processor.Processor</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Processor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#99">Synopsis/Processor.py:99</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#102">Synopsis/Processor.py:102</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Processor.html#verbose" >verbose</a></li><li ><a href="../Source/Synopsis/Processor.py.html#103">Synopsis/Processor.py:103</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Processor.html#debug" >debug</a></li><li ><a href="../Source/Synopsis/Processor.py.html#104">Synopsis/Processor.py:104</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Processor.html#profile" >profile</a></li><li ><a href="../Source/Synopsis/Processor.py.html#105">Synopsis/Processor.py:105</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Processor.html#input" >input</a></li><li ><a href="../Source/Synopsis/Processor.py.html#106">Synopsis/Processor.py:106</a>: Class attribute <a href="../Scopes/Synopsis/Processor/Processor.html#output" >output</a></li><li ><a href="../Source/Synopsis/Processor.py.html#108">Synopsis/Processor.py:108</a>: Method <a href="../Scopes/Synopsis/Processor/Processor.html#merge_input" >merge_input</a></li><li ><a href="../Source/Synopsis/Processor.py.html#118">Synopsis/Processor.py:118</a>: Method <a href="../Scopes/Synopsis/Processor/Processor.html#output_and_return_ir" >output_and_return_ir</a></li><li ><a href="../Source/Synopsis/Processor.py.html#125">Synopsis/Processor.py:125</a>: Method <a href="../Scopes/Synopsis/Processor/Processor.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Processor.merge_input" /><h2 >Method Synopsis.Processor.Processor.merge_input</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Processor.html#merge_input" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#108">Synopsis/Processor.py:108</a>: in class <a href="../Scopes/Synopsis/Processor/Processor.html" >Synopsis.Processor.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Processor.output_and_return_ir" /><h2 >Method Synopsis.Processor.Processor.output_and_return_ir</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Processor.html#output_and_return_ir" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#118">Synopsis/Processor.py:118</a>: in class <a href="../Scopes/Synopsis/Processor/Processor.html" >Synopsis.Processor.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Processor.process" /><h2 >Method Synopsis.Processor.Processor.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Processor.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#125">Synopsis/Processor.py:125</a>: in class <a href="../Scopes/Synopsis/Processor/Processor.html" >Synopsis.Processor.Processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Store" /><h2 >Class Synopsis.Processor.Store</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Store.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#200">Synopsis/Processor.py:200</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#204">Synopsis/Processor.py:204</a>: Method <a href="../Scopes/Synopsis/Processor/Store.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Store.process" /><h2 >Method Synopsis.Processor.Store.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Store.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#204">Synopsis/Processor.py:204</a>: in class <a href="../Scopes/Synopsis/Processor/Store.html" >Synopsis.Processor.Store</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Type" /><h2 >Class Synopsis.Processor.Type</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Type.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#31">Synopsis/Processor.py:31</a>: in module <a href="../Scopes/Synopsis/Processor.html" >Synopsis.Processor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processor.py.html#33">Synopsis/Processor.py:33</a>: Method <a href="../Scopes/Synopsis/Processor/Type.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processor.Type.__init__" /><h2 >Method Synopsis.Processor.Type.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processor/Type.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processor.py.html#33">Synopsis/Processor.py:33</a>: in class <a href="../Scopes/Synopsis/Processor/Type.html" >Synopsis.Processor.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor" /><h2 >Class Synopsis.Processors.AccessRestrictor.AccessRestrictor</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#12">Synopsis/Processors/AccessRestrictor.py:12</a>: in module <a href="../Scopes/Synopsis/Processors/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#16">Synopsis/Processors/AccessRestrictor.py:16</a>: Class attribute <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#access" >access</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#21">Synopsis/Processors/AccessRestrictor.py:21</a>: Attribute <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#__scopestack" >__scopestack</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#22">Synopsis/Processors/AccessRestrictor.py:22</a>: Attribute <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#__currscope" >__currscope</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#18">Synopsis/Processors/AccessRestrictor.py:18</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#24">Synopsis/Processors/AccessRestrictor.py:24</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#37">Synopsis/Processors/AccessRestrictor.py:37</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#42">Synopsis/Processors/AccessRestrictor.py:42</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#47">Synopsis/Processors/AccessRestrictor.py:47</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#add" >add</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#51">Synopsis/Processors/AccessRestrictor.py:51</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#56">Synopsis/Processors/AccessRestrictor.py:56</a>: Method <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#visit_scope" >visit_scope</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.__init__" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#18">Synopsis/Processors/AccessRestrictor.py:18</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.add" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.add</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#add" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#47">Synopsis/Processors/AccessRestrictor.py:47</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.pop" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#42">Synopsis/Processors/AccessRestrictor.py:42</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.process" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#24">Synopsis/Processors/AccessRestrictor.py:24</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.push" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#37">Synopsis/Processors/AccessRestrictor.py:37</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.visit_declaration" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#51">Synopsis/Processors/AccessRestrictor.py:51</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.AccessRestrictor.AccessRestrictor.visit_scope" /><h2 >Method Synopsis.Processors.AccessRestrictor.AccessRestrictor.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/AccessRestrictor.py.html#56">Synopsis/Processors/AccessRestrictor.py:56</a>: in class <a href="../Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" >Synopsis.Processors.AccessRestrictor.AccessRestrictor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.CFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.CFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#41">Synopsis/Processors/Comments/Filter.py:41</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#44">Synopsis/Processors/Comments/Filter.py:44</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#comment" >comment</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#47">Synopsis/Processors/Comments/Filter.py:47</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#line" >line</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#49">Synopsis/Processors/Comments/Filter.py:49</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#56">Synopsis/Processors/Comments/Filter.py:56</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.CFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.CFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#49">Synopsis/Processors/Comments/Filter.py:49</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html" >Synopsis.Processors.Comments.Filter.CFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.CFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.CFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#56">Synopsis/Processors/Comments/Filter.py:56</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/CFilter.html" >Synopsis.Processors.Comments.Filter.CFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.Filter" /><h2 >Class Synopsis.Processors.Comments.Filter.Filter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#12">Synopsis/Processors/Comments/Filter.py:12</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#15">Synopsis/Processors/Comments/Filter.py:15</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#27">Synopsis/Processors/Comments/Filter.py:27</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#33">Synopsis/Processors/Comments/Filter.py:33</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#35">Synopsis/Processors/Comments/Filter.py:35</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.Filter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.Filter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#35">Synopsis/Processors/Comments/Filter.py:35</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html" >Synopsis.Processors.Comments.Filter.Filter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.Filter.process" /><h2 >Method Synopsis.Processors.Comments.Filter.Filter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#15">Synopsis/Processors/Comments/Filter.py:15</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html" >Synopsis.Processors.Comments.Filter.Filter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.Filter.visit_declaration" /><h2 >Method Synopsis.Processors.Comments.Filter.Filter.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#27">Synopsis/Processors/Comments/Filter.py:27</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/Filter.html" >Synopsis.Processors.Comments.Filter.Filter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.JavaFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.JavaFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#159">Synopsis/Processors/Comments/Filter.py:159</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#162">Synopsis/Processors/Comments/Filter.py:162</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#java" >java</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#163">Synopsis/Processors/Comments/Filter.py:163</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#line" >line</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#166">Synopsis/Processors/Comments/Filter.py:166</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#173">Synopsis/Processors/Comments/Filter.py:173</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.JavaFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.JavaFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#166">Synopsis/Processors/Comments/Filter.py:166</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html" >Synopsis.Processors.Comments.Filter.JavaFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.JavaFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.JavaFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#173">Synopsis/Processors/Comments/Filter.py:173</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html" >Synopsis.Processors.Comments.Filter.JavaFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.QtFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.QtFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#130">Synopsis/Processors/Comments/Filter.py:130</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#135">Synopsis/Processors/Comments/Filter.py:135</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#brief" >brief</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#136">Synopsis/Processors/Comments/Filter.py:136</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#detail" >detail</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#138">Synopsis/Processors/Comments/Filter.py:138</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#146">Synopsis/Processors/Comments/Filter.py:146</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.QtFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.QtFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#138">Synopsis/Processors/Comments/Filter.py:138</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html" >Synopsis.Processors.Comments.Filter.QtFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.QtFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.QtFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#146">Synopsis/Processors/Comments/Filter.py:146</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html" >Synopsis.Processors.Comments.Filter.QtFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSDFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.SSDFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#94">Synopsis/Processors/Comments/Filter.py:94</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#97">Synopsis/Processors/Comments/Filter.py:97</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html#ssd" >ssd</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#99">Synopsis/Processors/Comments/Filter.py:99</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#106">Synopsis/Processors/Comments/Filter.py:106</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSDFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.SSDFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#99">Synopsis/Processors/Comments/Filter.py:99</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html" >Synopsis.Processors.Comments.Filter.SSDFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSDFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.SSDFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#106">Synopsis/Processors/Comments/Filter.py:106</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html" >Synopsis.Processors.Comments.Filter.SSDFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.SSFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#76">Synopsis/Processors/Comments/Filter.py:76</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#79">Synopsis/Processors/Comments/Filter.py:79</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html#ss" >ss</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#81">Synopsis/Processors/Comments/Filter.py:81</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#88">Synopsis/Processors/Comments/Filter.py:88</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.SSFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#81">Synopsis/Processors/Comments/Filter.py:81</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html" >Synopsis.Processors.Comments.Filter.SSFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.SSFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#88">Synopsis/Processors/Comments/Filter.py:88</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html" >Synopsis.Processors.Comments.Filter.SSFilter</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
